diff --git a/tests/test_base_adresse.py b/tests/test_base_adresse.py
index a0b5167f..695529e8 100644
--- a/tests/test_base_adresse.py
+++ b/tests/test_base_adresse.py
@@ -6,12 +6,12 @@ import os
 
 import mock
 import pytest
-import utils
 from django.core.management import call_command
 from django.core.management.base import CommandError
 from django.utils.six.moves.urllib.parse import urljoin
 from requests.exceptions import ConnectionError, HTTPError
 
+import tests.utils
 from passerelle.apps.base_adresse.models import (
     AddressCacheModel,
     BaseAdresse,
@@ -88,29 +88,33 @@ FAKE_API_GEO_REGIONS = json.dumps(
 
 @pytest.fixture
 def base_adresse(db):
-    return utils.setup_access_rights(BaseAdresse.objects.create(slug='base-adresse', zipcode='73'))
+    return tests.utils.setup_access_rights(BaseAdresse.objects.create(slug='base-adresse', zipcode='73'))
 
 
 @pytest.fixture
 def base_adresse_97x(db):
-    return utils.setup_access_rights(BaseAdresse.objects.create(slug='base-adresse-97x', zipcode='97425'))
+    return tests.utils.setup_access_rights(
+        BaseAdresse.objects.create(slug='base-adresse-97x', zipcode='97425')
+    )
 
 
 @pytest.fixture
 def base_adresse_corsica(db):
-    return utils.setup_access_rights(BaseAdresse.objects.create(slug='base-adresse', zipcode='20000, 20100 '))
+    return tests.utils.setup_access_rights(
+        BaseAdresse.objects.create(slug='base-adresse', zipcode='20000, 20100 ')
+    )
 
 
 @pytest.fixture
 def base_adresse_multiple(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         BaseAdresse.objects.create(slug='base-adresse', zipcode='73, 73100, 97425,20000 ')
     )
 
 
 @pytest.fixture
 def base_adresse_coordinates(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         BaseAdresse.objects.create(slug='base-adresse', latitude=1.2, longitude=2.1)
     )
 
@@ -184,9 +188,9 @@ def mock_update_streets():
 
 @mock.patch('passerelle.utils.Request.get')
 def test_base_adresse_search(mocked_get, app, base_adresse):
-    endpoint = utils.generic_endpoint_url('base-adresse', 'search', slug=base_adresse.slug)
+    endpoint = tests.utils.generic_endpoint_url('base-adresse', 'search', slug=base_adresse.slug)
     assert endpoint == '/base-adresse/base-adresse/search'
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
     resp = app.get(endpoint, params={'q': 'plop'}, status=200)
     data = resp.json[0]
     assert data['lat'] == '47.474633'
@@ -198,8 +202,8 @@ def test_base_adresse_search(mocked_get, app, base_adresse):
 def test_base_adresse_search_path(mocked_get, app, base_adresse):
     base_adresse.service_url = 'http://example.net/path/'
     base_adresse.save()
-    endpoint = utils.generic_endpoint_url('base-adresse', 'search', slug=base_adresse.slug)
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
+    endpoint = tests.utils.generic_endpoint_url('base-adresse', 'search', slug=base_adresse.slug)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
     resp = app.get(endpoint, params={'q': 'plop'}, status=200)
     assert mocked_get.call_args[0][0].startswith('http://example.net/path/search/?')
     data = resp.json[0]
@@ -257,7 +261,7 @@ def test_base_adresse_search_api_error(mocked_get, app, base_adresse):
     def raise_for_status():
         raise HTTPError("400 Client Error: Bad Request for url: xxx")
 
-    response = utils.FakedResponse(content=json.dumps({'title': 'error'}), status_code=400)
+    response = tests.utils.FakedResponse(content=json.dumps({'title': 'error'}), status_code=400)
     response.raise_for_status = raise_for_status
     mocked_get.return_value = response
     resp = app.get('/base-adresse/%s/search' % base_adresse.slug, params={'q': 'plop'}, status=200)
@@ -309,7 +313,7 @@ def test_base_adresse_reverse_having_several(mocked_get, app, base_adresse):
         }
     )
     faked_content = json.dumps(content)
-    mocked_get.return_value = utils.FakedResponse(content=faked_content, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=faked_content, status_code=200)
     resp = app.get('/base-adresse/%s/reverse?lon=-0.593775&lat=47.474633' % base_adresse.slug)
     data = resp.json
     assert data['address']['road'] == 'Rue Roger Halope'
@@ -317,7 +321,7 @@ def test_base_adresse_reverse_having_several(mocked_get, app, base_adresse):
 
 @mock.patch('passerelle.utils.Request.get')
 def test_base_adresse_reverse_path(mocked_get, app, base_adresse):
-    mocked_get.return_value = utils.FakedResponse(content=json.dumps({'features': []}), status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=json.dumps({'features': []}), status_code=200)
     base_adresse.service_url = 'http://example.net/path/'
     base_adresse.save()
     app.get('/base-adresse/%s/reverse?lon=-0.593775&lat=47.474633' % base_adresse.slug)
@@ -434,7 +438,7 @@ def test_base_adresse_streets_get_by_codes(app, base_adresse, street):
 def test_base_adresse_command_update(mocked_get, db, base_adresse):
     filepath = os.path.join(os.path.dirname(__file__), 'data', 'update_streets_test.gz')
     with open(filepath, 'rb') as ban_file:
-        mocked_get.return_value = utils.FakedResponse(content=ban_file.read(), status_code=200)
+        mocked_get.return_value = tests.utils.FakedResponse(content=ban_file.read(), status_code=200)
     call_command('cron', 'daily')
     mocked_get.assert_called_once_with(
         'https://adresse.data.gouv.fr/data/ban/adresses/latest/addok/adresses-addok-73.ndjson.gz'
@@ -462,7 +466,7 @@ def test_base_adresse_command_job_update(mocked_get, db, base_adresse):
     base_adresse.update_api_geo_data = lambda: None
     filepath = os.path.join(os.path.dirname(__file__), 'data', 'update_streets_test.gz')
     with open(filepath, 'rb') as ban_file:
-        mocked_get.return_value = utils.FakedResponse(content=ban_file.read(), status_code=200)
+        mocked_get.return_value = tests.utils.FakedResponse(content=ban_file.read(), status_code=200)
     # check the job added at save() downloads streets
     base_adresse.jobs()
     mocked_get.assert_called_once_with(
@@ -488,7 +492,7 @@ def test_base_adresse_command_update_97x(mocked_get, db, base_adresse_97x):
     base_adresse_97x.update_api_geo_data = lambda: None
     filepath = os.path.join(os.path.dirname(__file__), 'data', 'update_streets_test.gz')
     with open(filepath, 'rb') as ban_file:
-        mocked_get.return_value = utils.FakedResponse(content=ban_file.read(), status_code=200)
+        mocked_get.return_value = tests.utils.FakedResponse(content=ban_file.read(), status_code=200)
     call_command('cron', 'daily')
     mocked_get.assert_called_once_with(
         'https://adresse.data.gouv.fr/data/ban/adresses/latest/addok/adresses-addok-974.ndjson.gz'
@@ -502,7 +506,7 @@ def test_base_adresse_command_update_corsica(mocked_get, db, base_adresse_corsic
     base_adresse_corsica.update_api_geo_data = lambda: None
     filepath = os.path.join(os.path.dirname(__file__), 'data', 'update_streets_test.gz')
     with open(filepath, 'rb') as ban_file:
-        mocked_get.return_value = utils.FakedResponse(content=ban_file.read(), status_code=200)
+        mocked_get.return_value = tests.utils.FakedResponse(content=ban_file.read(), status_code=200)
     call_command('cron', 'daily')
     assert mocked_get.call_count == 2
     mocked_get.assert_any_call(
@@ -520,7 +524,7 @@ def test_base_adresse_command_update_multiple(mocked_get, db, base_adresse_multi
     base_adresse_multiple.update_api_geo_data = lambda: None
     filepath = os.path.join(os.path.dirname(__file__), 'data', 'update_streets_test.gz')
     with open(filepath, 'rb') as ban_file:
-        mocked_get.return_value = utils.FakedResponse(content=ban_file.read(), status_code=200)
+        mocked_get.return_value = tests.utils.FakedResponse(content=ban_file.read(), status_code=200)
     call_command('cron', 'daily')
     assert mocked_get.call_count == 4
     mocked_get.assert_any_call(
@@ -691,7 +695,7 @@ def test_base_adresse_regions(app, base_adresse, region):
 @mock.patch('passerelle.utils.Request.get')
 def test_base_adresse_command_update_geo(mocked_get, db, base_adresse, base_adresse_97x):
     return_values = [
-        utils.FakedResponse(content=content, status_code=200)
+        tests.utils.FakedResponse(content=content, status_code=200)
         for content in (FAKE_API_GEO_REGIONS, FAKE_API_GEO_DEPARTMENTS, FAKE_API_GEO) * 2
     ]
     mocked_get.side_effect = return_values
@@ -758,7 +762,7 @@ def test_base_adresse_command_update_geo(mocked_get, db, base_adresse, base_adre
 @mock.patch('passerelle.utils.Request.get')
 def test_base_adresse_command_update_geo_delete(mocked_get, db, base_adresse):
     return_values = [
-        utils.FakedResponse(content=content, status_code=200)
+        tests.utils.FakedResponse(content=content, status_code=200)
         for content in (FAKE_API_GEO_REGIONS, FAKE_API_GEO_DEPARTMENTS, FAKE_API_GEO)
     ]
     mocked_get.side_effect = return_values
@@ -767,7 +771,7 @@ def test_base_adresse_command_update_geo_delete(mocked_get, db, base_adresse):
 
     new_fake_api_geo = json.dumps([FAKE_API_GEO_LIST[1]])
     return_values = [
-        utils.FakedResponse(content=content, status_code=200)
+        tests.utils.FakedResponse(content=content, status_code=200)
         for content in (FAKE_API_GEO_REGIONS, FAKE_API_GEO_DEPARTMENTS, new_fake_api_geo)
     ]
     mocked_get.side_effect = return_values
@@ -779,7 +783,7 @@ def test_base_adresse_command_update_geo_delete(mocked_get, db, base_adresse):
 @mock.patch('passerelle.utils.Request.get')
 def test_base_adresse_command_job_update_geo(mocked_get, db, base_adresse):
     return_values = [
-        utils.FakedResponse(content=content, status_code=200)
+        tests.utils.FakedResponse(content=content, status_code=200)
         for content in (FAKE_API_GEO_REGIONS, FAKE_API_GEO_DEPARTMENTS, FAKE_API_GEO)
     ]
     mocked_get.side_effect = return_values
@@ -796,18 +800,18 @@ def test_base_adresse_command_job_update_geo(mocked_get, db, base_adresse):
 @pytest.mark.usefixtures('mock_update_streets')
 @mock.patch('passerelle.utils.Request.get')
 def test_base_adresse_command_update_geo_invalid(mocked_get, db, base_adresse):
-    mocked_get.return_value = utils.FakedResponse(content='{}', status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content='{}', status_code=200)
     with pytest.raises(CommandError):
         call_command('cron', 'daily')
     assert mocked_get.call_count == 1
     assert not RegionModel.objects.exists()
 
-    mocked_get.return_value = utils.FakedResponse(content=FAKE_API_GEO, status_code=500)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKE_API_GEO, status_code=500)
     call_command('cron', 'daily')
     assert mocked_get.call_count == 4
     assert not RegionModel.objects.exists()
 
-    mocked_get.return_value = utils.FakedResponse(content='not-json', status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content='not-json', status_code=200)
     call_command('cron', 'daily')
     assert mocked_get.call_count == 7
     assert not RegionModel.objects.exists()
@@ -831,9 +835,9 @@ def test_base_adresse_command_update_geo_no_connection(mocked_get, db, base_adre
 
 @mock.patch('passerelle.utils.Request.get')
 def test_base_adresse_addresses(mocked_get, app, base_adresse):
-    endpoint = utils.generic_endpoint_url('base-adresse', 'addresses', slug=base_adresse.slug)
+    endpoint = tests.utils.generic_endpoint_url('base-adresse', 'addresses', slug=base_adresse.slug)
     assert endpoint == '/base-adresse/base-adresse/addresses'
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
     resp = app.get(endpoint, params={'q': 'plop'}, status=200)
     data = resp.json['data'][0]
     assert data['lat'] == '47.474633'
@@ -953,8 +957,8 @@ def test_base_adresse_addresses_clean_cache(app, base_adresse, freezer, mock_api
 
 @mock.patch('passerelle.utils.Request.get')
 def test_base_adresse_addresses_data_change(mocked_get, app, base_adresse):
-    endpoint = utils.generic_endpoint_url('base-adresse', 'addresses', slug=base_adresse.slug)
-    mocked_get.return_value = utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
+    endpoint = tests.utils.generic_endpoint_url('base-adresse', 'addresses', slug=base_adresse.slug)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FAKED_CONTENT, status_code=200)
 
     # one user selects an address
     resp = app.get(endpoint, params={'q': 'plop'}, status=200)
@@ -964,7 +968,7 @@ def test_base_adresse_addresses_data_change(mocked_get, app, base_adresse):
     # another requests the same while upstream data has been updated
     new_content = json.loads(FAKED_CONTENT)
     new_content['features'][0]['properties']['label'] = 'changed'
-    mocked_get.return_value = utils.FakedResponse(content=json.dumps(new_content), status_code=200)
+    mocked_get.return_value = tests.utils.FakedResponse(content=json.dumps(new_content), status_code=200)
     resp = app.get(endpoint, params={'q': 'plop'}, status=200)
 
     # first user saves the form, data should not have changed
diff --git a/tests/test_caluire_axel.py b/tests/test_caluire_axel.py
index cc12823d..6daa37c6 100644
--- a/tests/test_caluire_axel.py
+++ b/tests/test_caluire_axel.py
@@ -23,9 +23,9 @@ from contextlib import contextmanager
 import freezegun
 import mock
 import pytest
-import utils
 import xmlschema
 
+import tests.utils
 from passerelle.contrib.caluire_axel import schemas
 from passerelle.contrib.caluire_axel.models import CaluireAxel, Link
 from passerelle.contrib.utils.axel import AxelError, OperationResult, json_date_format, xml_date_format
@@ -47,7 +47,7 @@ XML_RESPONSE_TEMPLATE = '''<?xml version="1.0"?>
 
 @pytest.fixture
 def resource(db):
-    return utils.make_resource(
+    return tests.utils.make_resource(
         CaluireAxel, slug='test', wsdl_url='http://example.net/AXEL_WS/AxelWS.php?wsdl'
     )
 
diff --git a/tests/test_cartads_cs.py b/tests/test_cartads_cs.py
index 7ad87f5b..f741c4b0 100644
--- a/tests/test_cartads_cs.py
+++ b/tests/test_cartads_cs.py
@@ -7,11 +7,11 @@ from collections import OrderedDict
 
 import mock
 import pytest
-import utils
 from django.core.files.storage import default_storage
 from django.test import override_settings
 from httmock import HTTMock
 
+import tests.utils
 from passerelle.apps.cartads_cs.models import CartaDSCS, CartaDSDossier, CartaDSFile
 from passerelle.base.models import Job
 from passerelle.compat import json_loads
@@ -19,7 +19,7 @@ from passerelle.compat import json_loads
 
 @pytest.fixture
 def connector(db):
-    return utils.make_resource(
+    return tests.utils.make_resource(
         CartaDSCS,
         title='Test',
         slug='test',
diff --git a/tests/test_cityweb.py b/tests/test_cityweb.py
index 2d5f234d..854e3260 100644
--- a/tests/test_cityweb.py
+++ b/tests/test_cityweb.py
@@ -24,11 +24,11 @@ import zipfile
 
 import mock
 import pytest
-import utils
 from django.core.files.storage import default_storage
 from lxml import etree
 from lxml import objectify as xobject
 
+import tests.utils
 from passerelle.apps.cityweb.cityweb import DateType
 from passerelle.apps.cityweb.models import CityWeb
 from passerelle.utils.jsonresponse import APIError
@@ -46,7 +46,7 @@ def get_file_from_test_base_dir(filename):
 
 @pytest.fixture
 def setup(db):
-    return utils.setup_access_rights(CityWeb.objects.create(slug='test'))
+    return tests.utils.setup_access_rights(CityWeb.objects.create(slug='test'))
 
 
 PAYLOAD = [
diff --git a/tests/test_clicrdv.py b/tests/test_clicrdv.py
index bee821be..a0a44077 100644
--- a/tests/test_clicrdv.py
+++ b/tests/test_clicrdv.py
@@ -3,10 +3,10 @@ import pytest
 from django.contrib.contenttypes.models import ContentType
 from django.utils.six.moves.urllib import parse as urlparse
 from requests.exceptions import HTTPError
-from test_manager import login
 
 from passerelle.apps.clicrdv.models import ClicRdv
 from passerelle.base.models import AccessRight, ApiUser
+from tests.test_manager import login
 
 
 @pytest.fixture
diff --git a/tests/test_cmis.py b/tests/test_cmis.py
index 5b3284a2..ef1e88de 100644
--- a/tests/test_cmis.py
+++ b/tests/test_cmis.py
@@ -20,10 +20,10 @@ from django.urls import reverse
 from django.utils.encoding import force_bytes, force_text
 from django.utils.six.moves.urllib import error as urllib2
 from mock import Mock, call
-from test_manager import login
 
 from passerelle.apps.cmis.models import CmisConnector
 from passerelle.base.models import AccessRight, ApiUser, ResourceLog
+from tests.test_manager import login
 
 
 def b64encode(content):
diff --git a/tests/test_cryptor.py b/tests/test_cryptor.py
index 14ac6b6d..38444c7e 100644
--- a/tests/test_cryptor.py
+++ b/tests/test_cryptor.py
@@ -3,11 +3,11 @@
 import base64
 
 import pytest
-import utils
 from django.contrib.contenttypes.models import ContentType
 from django.core.exceptions import ValidationError
 from django.utils.encoding import force_text
 
+import tests.utils
 from passerelle.apps.cryptor.models import CryptedFile, Cryptor
 from passerelle.base.models import AccessRight, ApiUser
 
@@ -77,14 +77,14 @@ def test_cryptor_bad_keys(db):
 
 
 def test_cryptor_restricted_access(app, cryptor):
-    endpoint = utils.generic_endpoint_url('cryptor', 'file-encrypt', slug=cryptor.slug)
+    endpoint = tests.utils.generic_endpoint_url('cryptor', 'file-encrypt', slug=cryptor.slug)
     assert endpoint == '/cryptor/test/file-encrypt'
     resp = app.get(endpoint, status=405)
     resp = app.post_json(endpoint, params={"foo": "bar"}, status=403)
     assert resp.json['err'] == 1
     assert 'PermissionDenied' in resp.json['err_class']
 
-    endpoint = utils.generic_endpoint_url('cryptor', 'file-decrypt', slug=cryptor.slug) + '/uuid'
+    endpoint = tests.utils.generic_endpoint_url('cryptor', 'file-decrypt', slug=cryptor.slug) + '/uuid'
     assert endpoint == '/cryptor/test/file-decrypt/uuid'
     resp = app.post_json(endpoint, params={"foo": "bar"}, status=405)
     resp = app.get(endpoint, status=403)
@@ -103,7 +103,7 @@ def test_cryptor_bad_requests(app, cryptor):
         codename='can_decrypt', apiuser=api, resource_type=obj_type, resource_pk=cryptor.pk
     )
 
-    endpoint = utils.generic_endpoint_url('cryptor', 'file-encrypt', slug=cryptor.slug)
+    endpoint = tests.utils.generic_endpoint_url('cryptor', 'file-encrypt', slug=cryptor.slug)
     for bad_payload in (
         'error',
         {"foo": "bar"},
@@ -115,7 +115,7 @@ def test_cryptor_bad_requests(app, cryptor):
         resp = app.post_json(endpoint, params=bad_payload, status=400)
         assert resp.json['err'] == 1
 
-    endpoint = utils.generic_endpoint_url('cryptor', 'file-decrypt', slug=cryptor.slug)
+    endpoint = tests.utils.generic_endpoint_url('cryptor', 'file-decrypt', slug=cryptor.slug)
     endpoint = endpoint + '/bad-uuid'
     resp = app.get(endpoint, status=404)
 
@@ -131,7 +131,7 @@ def test_cryptor_encrypt_decrypt(app, cryptor):
     )
 
     # encrypt
-    endpoint = utils.generic_endpoint_url('cryptor', 'file-encrypt', slug=cryptor.slug)
+    endpoint = tests.utils.generic_endpoint_url('cryptor', 'file-encrypt', slug=cryptor.slug)
     content = force_text(base64.b64encode(b'this is foo and bar'))
     payload = {"file": {"filename": "foo.txt", "content_type": "text/plain", "content": content}}
 
@@ -161,7 +161,7 @@ def test_cryptor_encrypt_decrypt(app, cryptor):
     assert resp.json['err_desc'] == 'missing public key'
 
     # decrypt
-    endpoint = utils.generic_endpoint_url('cryptor', 'file-decrypt', slug=cryptor.slug)
+    endpoint = tests.utils.generic_endpoint_url('cryptor', 'file-decrypt', slug=cryptor.slug)
     endpoint = endpoint + '/' + str(cfile.uuid)
     resp = app.get(endpoint, status=200)
     assert resp.content_type == 'text/plain'
diff --git a/tests/test_csv_datasource.py b/tests/test_csv_datasource.py
index a5bfd2d4..455fa4ab 100644
--- a/tests/test_csv_datasource.py
+++ b/tests/test_csv_datasource.py
@@ -37,11 +37,11 @@ from django.utils.encoding import force_bytes, force_str, force_text
 from django.utils.six import StringIO
 from django.utils.six.moves.urllib.parse import urlencode
 from django.utils.timezone import now
-from test_manager import login
 
 from passerelle.apps.csvdatasource.models import CsvDataSource, Query, TableRow, upload_to
 from passerelle.base.models import AccessRight, ApiUser
 from passerelle.compat import json_loads
+from tests.test_manager import login
 
 data = """121;69981;DELANOUE;Eliot;H
 525;6;DANIEL WILLIAMS;Shanone;F
diff --git a/tests/test_dpark.py b/tests/test_dpark.py
index f444c356..9d3a5daa 100644
--- a/tests/test_dpark.py
+++ b/tests/test_dpark.py
@@ -7,12 +7,12 @@ import httmock
 import mock
 import pytest
 from django.utils.encoding import force_text
-from utils import make_resource
 from zeep.exceptions import Fault as WebFault
 from zeep.exceptions import TransportError
 
 from passerelle.contrib.dpark.models import DPark, Pairing
 from passerelle.utils.jsonresponse import APIError
+from tests.utils import make_resource
 
 SLUG = 'test'
 WSDL_URL = 'https://example.net/dpark?wsdl'
diff --git a/tests/test_esirius.py b/tests/test_esirius.py
index 7e53d048..6b23ee6b 100644
--- a/tests/test_esirius.py
+++ b/tests/test_esirius.py
@@ -19,14 +19,14 @@ import json
 
 import httmock
 import pytest
-import utils
 from Cryptodome.Cipher import DES
 from Cryptodome.Util.Padding import pad, unpad
 from django.utils.encoding import force_bytes
-from test_manager import login
 
+import tests.utils
 from passerelle.apps.esirius.models import ESirius
 from passerelle.utils.jsonresponse import APIError
+from tests.test_manager import login
 
 CREATE_APPOINTMENT_PAYLOAD = {
     'beginDate': '2021-02-24',
@@ -80,7 +80,7 @@ GET_APPOINTMENT_RESPONSE = '''
 
 @pytest.fixture
 def connector(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         ESirius.objects.create(
             slug='test', secret_id='xxx', secret_key='yyy', base_url='https://esirius.example.net'
         )
@@ -88,7 +88,7 @@ def connector(db):
 
 
 def get_endpoint(name):
-    return utils.generic_endpoint_url('esirius', name)
+    return tests.utils.generic_endpoint_url('esirius', name)
 
 
 @pytest.mark.freeze_time('2021-01-26 15:13:6.880')  # epoch + 1611673986.88 s
diff --git a/tests/test_esirius_swi.py b/tests/test_esirius_swi.py
index e2f10f7a..b9dc00c6 100644
--- a/tests/test_esirius_swi.py
+++ b/tests/test_esirius_swi.py
@@ -18,8 +18,8 @@ import os
 
 import mock
 import pytest
-import utils
 
+import tests.utils
 from passerelle.contrib.esirius_swi.models import ESiriusSwi
 from passerelle.contrib.esirius_swi.utils import compute_status
 
@@ -45,7 +45,7 @@ def v1_service_wsdl():
 
 @pytest.fixture
 def connector(db):
-    return utils.setup_access_rights(
+    return tests.utils.setup_access_rights(
         ESiriusSwi.objects.create(
             slug='test', base_url='https://example.org/eSirius/webservices/sitewaitingindicator/'
         )
diff --git a/tests/test_feeds.py b/tests/test_feeds.py
index 7b3d53c3..5a27e5ff 100644
--- a/tests/test_feeds.py
+++ b/tests/test_feeds.py
@@ -2,8 +2,8 @@
 
 import mock
 import pytest
-import utils
 
+import tests.utils
 from passerelle.apps.feeds.models import Feed
 
 FEED_EXAMPLE = u"""<?xml version="1.0" encoding="UTF-8"?>
@@ -42,13 +42,13 @@ FEED_EXAMPLE = u"""<?xml version="1.0" encoding="UTF-8"?>
 
 @pytest.fixture
 def connector(db):
-    return utils.setup_access_rights(Feed.objects.create(slug='test', url='http://example.net/'))
+    return tests.utils.setup_access_rights(Feed.objects.create(slug='test', url='http://example.net/'))
 
 
 @mock.patch('passerelle.utils.Request.get')
 def test_feed(mocked_get, app, connector):
-    mocked_get.return_value = utils.FakedResponse(content=FEED_EXAMPLE, status=200)
-    endpoint = utils.generic_endpoint_url('feeds', 'json', slug=connector.slug)
+    mocked_get.return_value = tests.utils.FakedResponse(content=FEED_EXAMPLE, status=200)
+    endpoint = tests.utils.generic_endpoint_url('feeds', 'json', slug=connector.slug)
     assert endpoint == '/feeds/test/json'
     resp = app.get(endpoint)
     assert resp.json['data']['feed']['title']
diff --git a/tests/test_franceconnect_data.py b/tests/test_franceconnect_data.py
index 9a2cb470..4484df43 100644
--- a/tests/test_franceconnect_data.py
+++ b/tests/test_franceconnect_data.py
@@ -18,15 +18,15 @@ import json
 from urllib.parse import parse_qs, urlparse, urlunparse
 
 import pytest
-import utils
-from test_rsa13 import mock_response
 
+import tests.utils
 from passerelle.apps.franceconnect_data.models import Resource
+from tests.test_rsa13 import mock_response
 
 
 @pytest.fixture
 def fc(db):
-    return utils.make_resource(
+    return tests.utils.make_resource(
         Resource,
         slug='test',
         fc_platform_slug='prod',
diff --git a/tests/test_gdema.py b/tests/test_gdema.py
index 103f911d..b20dc47f 100644
--- a/tests/test_gdema.py
+++ b/tests/test_gdema.py
@@ -3,9 +3,9 @@ import json
 
 import mock
 import pytest
-import utils
 from django.contrib.contenttypes.models import ContentType
 
+import tests.utils
 from passerelle.base.models import AccessRight, ApiUser
 from passerelle.contrib.gdema.models import Gdema
 
@@ -68,10 +68,10 @@ def gdema(db):
 
 
 def test_gdema_services_and_typologies(app, gdema):
-    endpoint = utils.generic_endpoint_url('gdema', 'referentiel', slug=gdema.slug)
+    endpoint = tests.utils.generic_endpoint_url('gdema', 'referentiel', slug=gdema.slug)
     assert endpoint == '/gdema/test/referentiel'
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=SERVICES, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=SERVICES, status_code=200)
         resp = app.get(endpoint + '/service/', status=200)
         assert requests_get.call_count == 1
         assert requests_get.call_args[0][0] == 'https://gdema.example.net/api/referentiel/service'
@@ -106,10 +106,10 @@ def test_gdema_services_and_typologies(app, gdema):
 
 
 def test_gdema_referentiel(app, gdema):
-    endpoint = utils.generic_endpoint_url('gdema', 'referentiel', slug=gdema.slug)
+    endpoint = tests.utils.generic_endpoint_url('gdema', 'referentiel', slug=gdema.slug)
     assert endpoint == '/gdema/test/referentiel'
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=CIVILITY, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=CIVILITY, status_code=200)
         resp = app.get(endpoint + '/civility/', status=200)
         assert requests_get.call_count == 1
         assert requests_get.call_args[0][0] == 'https://gdema.example.net/api/referentiel/civility'
@@ -120,7 +120,7 @@ def test_gdema_referentiel(app, gdema):
         assert resp.json['data'][0]['text'] == 'Monsieur'
 
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content='404', status_code=404)
+        requests_get.return_value = tests.utils.FakedResponse(content='404', status_code=404)
         resp = app.get(endpoint + '/nothing/', status=200)
         assert requests_get.call_count == 1
         assert requests_get.call_args[0][0] == 'https://gdema.example.net/api/referentiel/nothing'
@@ -132,10 +132,10 @@ def test_gdema_referentiel(app, gdema):
 
 
 def test_gdema_get_request(app, gdema):
-    endpoint = utils.generic_endpoint_url('gdema', 'get-request', slug=gdema.slug)
+    endpoint = tests.utils.generic_endpoint_url('gdema', 'get-request', slug=gdema.slug)
     assert endpoint == '/gdema/test/get-request'
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=REQUEST, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=REQUEST, status_code=200)
         resp = app.get(endpoint + '/1/', status=200)
         assert requests_get.call_count == 1
         assert requests_get.call_args[0][0] == 'https://gdema.example.net/api/request/1'
@@ -149,10 +149,10 @@ def test_gdema_get_request(app, gdema):
         assert resp.json['data']['Handler']['CivilityId'] == '0'
         assert resp.json['data']['ReceptDate'] == '2006-12-13T00:00:00+01:00'
 
-    endpoint = utils.generic_endpoint_url('gdema', 'get-request-state', slug=gdema.slug)
+    endpoint = tests.utils.generic_endpoint_url('gdema', 'get-request-state', slug=gdema.slug)
     assert endpoint == '/gdema/test/get-request-state'
     with mock.patch('passerelle.utils.Request.get') as requests_get:
-        requests_get.return_value = utils.FakedResponse(content=REQUEST_STATE, status_code=200)
+        requests_get.return_value = tests.utils.FakedResponse(content=REQUEST_STATE, status_code=200)
         resp = app.get(endpoint + '/1/', status=200)
         assert requests_get.call_count == 1
         assert requests_get.call_args[0][0] == 'https://gdema.example.net/api/request/1/state'
@@ -162,10 +162,10 @@ def test_gdema_get_request(app, gdema):
 
 
 def test_gdema_create_request(app, gdema):
-    endpoint = utils.generic_endpoint_url('gdema', 'create-request', slug=gdema.slug)
+    endpoint = tests.utils.generic_endpoint_url('gdema', 'create-request', slug=gdema.slug)
     assert endpoint == '/gdema/test/create-request'
     with mock.patch('passerelle.utils.Request.post') as requests_post:
-        requests_post.return_value = utils.FakedResponse(content=REQUEST, status_code=200)
+        requests_post.return_value = tests.utils.FakedResponse(content=REQUEST, status_code=200)
         resp = app.post_json(endpoint + '?raise=1', params=CREATE_INPUT, status=200)
         assert requests_post.call_count == 1
         assert requests_post.call_args[0][0] == 'https://gdema.example.net/api/request/create'
